Bug 436829 - Please make qt be the latest (v4) package; qt3 should be the legacy version
Please make qt be the latest (v4) package; qt3 should be the legacy version
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 14:18 EDT by Christopher Aillon
Modified: 2008-03-12 21:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 21:04:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2008-03-10 14:18:35 EDT
If everything is properly separated out already as it should be, this should be
as simple as

cp qt.spec qt3.spec
cp qt4.spec qt.spec

and then add the following to the respective specs:

qt.spec:
Obsoletes: qt4
Provides: qt4

qt3.spec:
Conflicts: qt < 4
Provides: qt3

though if things are depending on %{name} it might get slightly trickier.

This will make it much easier for people to develop against the latest qt and
kde stacks concurrently (I was going to submit a new Qt/KDE package but wasted a
bunch of time here before I realized this and if I didn't want the package so
bad, I would have just went to another distro, that's how angry this whole thing
makes me.)
Comment 1 Kevin Kofler 2008-03-10 14:30:17 EDT
Well, GTK+ isn't following that scheme either (I'm tempted to file a 
mostly-copy&paste bug against gtk2 ;-) ).
Comment 2 Christopher Aillon 2008-03-10 15:07:52 EDT
Yes, gtk2 is wrong.  Don't copy it's wrongness.
Comment 3 Kevin Kofler 2008-03-10 15:13:43 EDT
Review request for qt3: https://bugzilla.redhat.com/show_bug.cgi?id=436846
Comment 4 Ngo Than 2008-03-11 09:06:05 EDT
I wanted this rename scheme at the begin, but unfortunately it's unrealized in 
respect of discrepancy. I'm now glad that we're agreed with this.

Kevin, thanks for qt3 specfile.
Comment 5 Kevin Kofler 2008-03-11 09:12:37 EDT
We're waiting for the CVS request now, once that's done we can start the 
renames. I'll update qt3.spec with the latest bunch of fixes you comitted to 
qt/devel today ASAP.
Comment 6 Kevin Kofler 2008-03-12 21:04:23 EDT
* A transition qt package which Provides qt3-* names for all subpackages 
(previously, only qt3 and qt3-devel were available as Provides) has been tagged 
for the beta and should show up in the next Rawhide push.
* Renamed qt3 and qt (version 4) packages have been successfully built for 
dist-f9 and should hit Rawhide once the beta freeze is over.

Note You need to log in before you can comment on or make changes to this bug.